Bug 213211 - kernel-2.6.18-1.2798.fc6xen poor diagnostics on non-PAE hw
kernel-2.6.18-1.2798.fc6xen poor diagnostics on non-PAE hw
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-31 04:47 EST by Steffen Mann
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-26 23:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steffen Mann 2006-10-31 04:47:59 EST
Description of problem:
booting into kernel-2.6.18-1.2798.fc6xen results into a kenrel panic...
messages flowing by too quick. 
HW is IBM T42p with PentiumM 2.10GHz 1GB RAM

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot into this kernel
Actual results:


Expected results:

book kernel and allow creation of domU's

Additional info:
Comment 1 Daniel Veillard 2006-10-31 05:29:33 EST
I guess it's a lack of PAE support in the Pentium M chip problem.
We now compile xen and associated kernel with PAE support, as a result
the hypervisor will fail and rebbot after emitting the error message,
try to check if you can spot "PAE" before the reboot, but I'm pretty
sure it's the problem.

Comment 2 Steffen Mann 2006-10-31 09:08:29 EST
Hello Daniel,

yup, you are right I in fact can spot this:

can not execute a PAE-enabled Kernel


Surely this will be the pain of more users and later RHEL users...

Are there any easy workarounds? Or plans to have an additional kernel w/o PAE
and Xen enabled?

Comment 3 Daniel Berrange 2006-10-31 09:35:09 EST
In RHEL, the anaconda installer will not provide users the option of installing
virtualization if they don't have PAE capable hardware, so you won't see this
problem for initial installs. Of course they can manually install the kernel-xen
later, but there's only so much we can protect against. 

Since the current Xen shadow pagetable design requires a matching PAE feature in
both Dom0 and DomU, supplying both PAE & non-PAE kernels will create alot of
incompatability pain between Dom0 & DomUs. Since  all server hardware & the
majority of current desktop/laptop hardware is PAE enabled we decided to go for
the PAE kernels only. 
Comment 4 Stephen Tweedie 2006-10-31 17:00:11 EST
Nonetheless, we should definitely make the error much much more obvious, so that
the user has no doubt as to what the problem was if they boot this kernel on
inadequate hardware.
Comment 5 Roffe Moshe 2006-11-12 05:16:01 EST

I have the SAME Problem on DELL D400 machine (with the LATEST A08 BIOS). 
The same kernel panic and reboot afterwards appears.

isn't any kernel parameter that can resolve the issue, even with performance
downgrades? i need XEN only for demo for clients not for Production use, at
least not on this machine.


Comment 8 Jeremy Katz 2007-03-26 23:06:14 EDT
Not sure how much more obvious it can be than the kernel printing the error that
it requires PAE capable hardware.  And anaconda shouldn't allow installing it
when you don't have PAE now

Note You need to log in before you can comment on or make changes to this bug.